<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="invoice">
            <h2><span jhiTranslate="restaurantApplicationApp.invoice.detail.title">Invoice</span> {{invoice.id}}</h2>
            <hr>
            <jhi-alert-error></jhi-alert-error>
            <dl class="row-md jh-entity-details">
                <dt><span jhiTranslate="restaurantApplicationApp.invoice.code">Code</span></dt>
                <dd>
                    <span>{{invoice.code}}</span>
                </dd>
                <dt><span jhiTranslate="restaurantApplicationApp.invoice.date">Date</span></dt>
                <dd>
                    <span>{{invoice.date}}</span>
                </dd>
                <dt><span jhiTranslate="restaurantApplicationApp.invoice.details">Details</span></dt>
                <dd>
                    <span>{{invoice.details}}</span>
                </dd>
                <dt><span jhiTranslate="restaurantApplicationApp.invoice.status">Status</span></dt>
                <dd>
                    <span jhiTranslate="{{'restaurantApplicationApp.InvoiceStatus.' + invoice.status}}">{{invoice.status}}</span>
                </dd>
                <dt><span jhiTranslate="restaurantApplicationApp.invoice.paymentMethod">Payment Method</span></dt>
                <dd>
                    <span jhiTranslate="{{'restaurantApplicationApp.PaymentMethod.' + invoice.paymentMethod}}">{{invoice.paymentMethod}}</span>
                </dd>
                <dt><span jhiTranslate="restaurantApplicationApp.invoice.paymentDate">Payment Date</span></dt>
                <dd>
                    <span>{{invoice.paymentDate}}</span>
                </dd>
                <dt><span jhiTranslate="restaurantApplicationApp.invoice.paymentAmount">Payment Amount</span></dt>
                <dd>
                    <span>{{invoice.paymentAmount}}</span>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon [icon]="'arrow-left'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back"> Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/invoice', invoice.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon [icon]="'pencil-alt'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit"> Edit</span>
            </button>
        </div>
    </div>
</div>
